{% set choices = form.industryClassificationsLevelTwo.vars.choices %}
{% for industryClassification in form.industryClassifications %}
    {% set arrayKey = industryClassification.vars.value %}
    <div class="col-md-6 industry-classification-checkboxes">
        {% include 'component/mdc_checkbox_component.html.twig' with {
            'formfieldId': industryClassification.vars.value ~ '_mdc_form_field',
            'checkboxId': industryClassification.vars.value ~ '_mdc_checkbox',
            'name': 'building_unit_filter[industryClassifications][]' ,
            'label': industryClassification.vars.label,
            'labelId': industryClassification.vars.value,
            'value': industryClassification.vars.value,
            'checked': industryClassification.vars.checked,
            'disabled': industryClassification.vars.disabled
        } only %}
        {% set currentSelectedValue = '' %}
        {% if (arrayKey in choices|keys)  and (choices[arrayKey].choices|length > 0) %}
            {% for value in form.industryClassificationsLevelTwo.vars.value %}
                {% for selectedValue in choices[arrayKey].choices %}
                    {% if (selectedValue.value == value) %}
                        {% set currentSelectedValue = selectedValue.value %}
                    {% endif %}
                {% endfor %}
            {% endfor %}
            <div id="building_unit_filter_industry_level_two_{{ industryClassification.vars.value }}_mdc_select"
                 class="industryClassificationsSelect mb-2 {% if industryClassification.vars.checked != true %} d-none {% else %}''{% endif %}">
                {% include 'property_vacancy_management/form/building_unit/building_unit_filter_form_industry_classification_select.html.twig' with {
                    'id': choices[arrayKey].label ~ '_action_mdc_select'  ,
                    'name': 'building_unit_filter[industryClassificationsLevelTwo][]',
                    'label':  'Branchenbereich',
                    'labelId':  choices[arrayKey].label ~ '_level_two_label' ,
                    'value': currentSelectedValue,
                    'choices': choices[arrayKey].choices,
                    'required': false,
                    'disabled': false
                } only %}
            </div>
        {% endif %}
    </div>
{% endfor %}
